// ---------------------------------------------------------------------------------------------------------------------
// TESTS: container groups? again
// ---------------------------------------------------------------------------------------------------------------------

import { Validators as V } from '@angular/forms';

const model = {};

const meta = {
	general: {
		label: 'Genaral Details',
		source: '/',
		meta: {
			name: { validators: V.required },
			description: { type: 'textarea' },
			duration: { },
			unit: { label: 'Time Unit' }
		}
	},
	email: {
		label: 'Email Configuration',
		source: '/',
		meta: {
			emailTo: { label: 'To', validators: [ V.required, V.email ] },
			emailCc: { 
				minRepeat: 1,
				maxRepeat: 5,
				initialRepeat: 1,
				showAddControl: true,
				showDeleteControl: true,
				validators: V.email
			},
			emailBcc: { 
				minRepeat: 1,
				maxRepeat: 5,
				initialRepeat: 1,
				showAddControl: true,
				showDeleteControl: true,
				validators: V.email
			},
			subject: { validators: V.required },
			message: { type: 'textarea' }
		}
	},
	report: {
		label: 'Report Configuration',
		source: '/',
		meta: {
			table: {
				type: 'select',
				options: [ 'AAA', 'BBB' ],
				validators: V.required
			},
			columns: {
				source: '/',
				type: 'checkboxGroup',
				meta: ['Ab', 'Cd', 'Ef', 'Ghi']
			}
		}
	}
};

export { model, meta };
